Subject: another Apache module pthread problem
To: None <>
From: Jukka Salmi <>
List: tech-pkg
Date: 11/23/2004 13:00:48

I just added mod_perl to my Apache installation; since then Apache
fails to start:

$ sudo /etc/rc.d/apache start        
[1]   Abort trap (core dumped) ${HTTPD} -DSSL
/usr/pkg/sbin/apachectl startssl: httpd could not be started

I'm using apache-1.3.33, perl-thread-5.8.5nb2 and ap-perl-1.29nb1
from current pkgsrc.

While building www/ap-perl the following warning is printed:

************* WARNING *************

  Your Perl is linked with -lpthread, make sure that your httpd
  is built with LIBS=-lpthread

************* WARNING *************

AFAICT this condition is not met.

Any hints?

TIA, Jukka

bashian roulette:
$ ((RANDOM%6)) || rm -rf ~